#################################################
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/amarok/src/amarokcore
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${CMAKE_SOURCE_DIR}/amarok/src/engine/akode
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${AKODE_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES amarok_aKode-engine.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


##### libamarok_aKode-engine (module) ############

tde_add_kpart( libamarok_aKode-engine AUTOMOC
  SOURCES
    akode-scope.cpp akode-engine.cpp
  LINK amarok-shared ${AKODE_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
